This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 482759 - PackageKit fails during automatic update.
PackageKit fails during automatic update.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 17:16 EST by Victor Bogado
Modified: 2009-04-13 22:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 14:06:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Bogado 2009-01-27 17:16:42 EST
Description of problem:
PackageKit shows in the applet that it is doing an update, it does finish the said update but in the end it pops up a dialog stating an error.

The error details are the following : 

Error Type: <type 'exceptions.IndexError'>
Error Value: list index out of range
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2280, in <module>
    else:
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2277, in main
    elif result == 1:
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 611, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 578, in dispatch_command
    self.update_system()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1101, in update_system
    
  File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 2659, in update
    updated_pkg = self.rpmdb.searchPkgTuple(old)[0]


Version-Release number of selected component (if applicable):
0.3.13-1

How reproducible:
It happens during an automatic update, I am not sure if it happens all the time, but it is frequent. 

Additional info:
I believe that after that the PackageKit always update the applet to indicate the need for a reboot, even when the packages installed do not actually require such action. 

Also I think that even though it states an error the update has happened without problems, as updating manually on the command line using yum always say that the system is updated.
Comment 1 Richard Hughes 2009-02-16 11:10:16 EST
Does this happen with the latest release of yum?
Comment 2 TK009 2009-04-10 20:16:18 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Victor Bogado 2009-04-13 14:05:50 EDT
I can't be sure, I've seen this problem recently, but I feel that the problem is rarer now (not exactly a precise measurement). I am closing this now, and if the problem persists I will fill another bug (or should I reopen this one?)
Comment 4 TK009 2009-04-13 22:51:15 EDT
Thanks for the reply Victor

If you see the problem again, please re-open this report.

TK009

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.